| GET | /RestApi/translations/translations/targets |
|---|
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum
class TranslationStatus(IntEnum):
MARKED = 101
SENDING = 201
SENT = 202
RECEIVED = 301
IMPORTING = 302
IMPORTED = 303
COMPLETED = 304
ARCHIVED = 401
DELETED = 402
REJECTED = 403
SENDING_ERROR = 501
IMPORTING_ERROR = 502
RECEIVING_ERROR = 503
@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class GetTranslationsTargetLanguage(ITranslationsFilter):
type: Optional[List[str]] = None
search_text: Optional[str] = None
actual_source_language: Optional[str] = None
target_language: Optional[List[str]] = None
service: Optional[List[str]] = None
translation_status: Optional[List[TranslationStatus]] = None
status: Optional[List[str]] = None
project_ids: Optional[List[str]] = None
start_date: Optional[datetime.datetime] = None
end_date: Optional[datetime.datetime] = None
errors_only: bool = False
Python GetTranslationsTargetLanguage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/translations/targets HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
[{"Code":"String","Name":"String","Count":0}]